Summary:	Open-source implementation of Secure Real-time Transport Protocol
Summary(pl.UTF-8):	Otwarta implementacja protokołu Secure Real-time Transport Protocol
Name:		srtp
Version:	1.5.2
Release:	3
License:	BSD
Group:		Libraries
Source0:	https://github.com/cisco/libsrtp/archive/v%{version}/libsrtp-%{version}.tar.gz
# Source0-md5:	2309aa6027992810a4285b042c71e644
Patch0:		%{name}-shared.patch
Patch1:		%{name}-rename_functions.patch
Patch2:		%{name}-headers.patch
Patch3:		%{name}-ismacryp.patch
URL:		http://srtp.sourceforge.net/srtp.html
BuildRequires:	autoconf
BuildRequires:	libpcap-devel
BuildRequires:	openssl-devel >= 1.0.1
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libSRTP library is an open-source implementation of Secure
Real-time Transport Protocol (SRTP).

%description -l pl.UTF-8
Biblioteka libSRTP to otwarta implementacja protokołu SRTP (Secure
Real-time Transport Protocol).

%package devel
Summary:	Header files for SRTP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SRTP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpcap-devel
Requires:	openssl-devel >= 1.0.1
Requires:	zlib-devel

%description devel
Header files for SRTP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SRTP.

%package static
Summary:	Static SRTP library
Summary(pl.UTF-8):	Statyczna biblioteka SRTP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SRTP library.

%description static -l pl.UTF-8
Statyczna biblioteka SRTP.

%prep
%setup -q -n libsrtp-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__autoconf}
%{__autoheader}
%configure \
	--enable-openssl

%{__make} shared_library
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README TODO
%attr(755,root,root) %{_libdir}/libsrtp.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{crypto_kernel.txt,intro.txt,references.txt,draft-irtf-cfrg-icm-00.txt,libsrtp.pdf}
%attr(755,root,root) %{_libdir}/libsrtp.so
%{_pkgconfigdir}/libsrtp.pc
%{_includedir}/srtp

%files static
%defattr(644,root,root,755)
%{_libdir}/libsrtp.a
%changelog
* Fri Aug 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/srtp.git;a=log;h=master

* Fri Aug 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 19c9f70
- added ismacryp patch (include ISMAcryp functions even when using openssl for AES; needed by mpeg4ip)
- release 3

* Wed Aug 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 77df8d8
- added headers patch (fixes some stdint conflicts and rand_source.h usage from C++)
- release 2

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> d6631e4
- new Source0 URL, updated to 1.5.2 (soname changed to upstream value)
- updated rename_symbols patch
- shared library is now supported upstream; shared patch replaced by just an install fix
- use upstream .pc file

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 213a16b
- make release integerish

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 4359aa9
- x32 rebuild
- release 5 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> a37abfc
- unified

* Mon Jun 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 49f7c35
- rename_functions.patch: rename some functions

* Fri Mar 15 2013 Elan Ruusamäe <glen@delfi.ee> 2358862
- up to 20121108 snapshot

* Fri May 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 842b44d
- release 2

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> 5e59555
- up to 1.4.4, add .pc support from fedora

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 670b32d
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bc75e51
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e38dbde
- converted to UTF-8

* Wed Dec 13 2006 Paweł Sikora <pluto@pld-linux.org> 78a96e1
- release 2, rebuild with P: *.la.

* Thu Aug 24 2006 Elan Ruusamäe <glen@pld-linux.org> 1e8cdbe
- pass --tag=CC to libtool

* Fri Jul 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 800158d
- new

* Fri Jul 21 2006 Jakub Bogusz <qboosh@pld-linux.org> b0919fa
- build shared library

